Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 600260 - x11-misc/lightdm-gtk-greeter-2.0.2: fails at finding libexec for app-accessibility/at-spi2-core
Summary: x11-misc/lightdm-gtk-greeter-2.0.2: fails at finding libexec for app-accessib...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-20 07:41 UTC by Michał Górny
Modified: 2018-11-10 18:00 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-11-20 07:41:14 UTC
I get lightdm-gtk-greeter crashing since last upgrade (possibly rebuild). I have recently switched my host to lib+lib64 (SYMLINK_LIB=no) multilib.

$ sudo lightdm -d
[+0.00s] DEBUG: Logging to /var/log/lightdm/lightdm.log
[+0.00s] DEBUG: Starting Light Display Manager 1.21.0, UID=0 PID=28602
[+0.00s] DEBUG: Loading configuration dirs from /usr/share/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration dirs from /usr/local/share/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration dirs from /etc/xdg/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration from /etc/lightdm/lightdm.conf
[+0.00s] DEBUG:   [LightDM] contains unknown option display-setup-script
[+0.00s] DEBUG: Using D-Bus name org.freedesktop.DisplayManager
[+0.00s] DEBUG: Registered seat module local
[+0.00s] DEBUG: Registered seat module xremote
[+0.00s] DEBUG: Registered seat module unity
[+0.01s] DEBUG: Monitoring logind for seats
[+0.01s] DEBUG: New seat added from logind: seat0
[+0.01s] DEBUG: Seat seat0: Loading properties from config section Seat:*
[+0.01s] DEBUG: Seat seat0: Starting
[+0.01s] DEBUG: Seat seat0: Creating greeter session
[+0.01s] DEBUG: Seat seat0: Creating display server of type x
[+0.01s] DEBUG: Could not run plymouth --ping: Failed to execute child process "plymouth" (No such file or directory)
[+0.01s] DEBUG: Using VT 7
[+0.01s] DEBUG: Seat seat0: Starting local X display on VT 7
[+0.01s] DEBUG: XServer 1: Logging to /var/log/lightdm/x-1.log
[+0.01s] DEBUG: XServer 1: Writing X server authority to /var/run/lightdm/root/:1
[+0.01s] DEBUG: XServer 1: Launching X Server
[+0.01s] DEBUG: Launching process 28615: /usr/bin/X :1 -seat seat0 -auth /var/run/lightdm/root/:1 -nolisten tcp vt7 -novtswitch
[+0.01s] DEBUG: XServer 1: Waiting for ready signal from X server :1
[+0.01s] DEBUG: Acquired bus name org.freedesktop.DisplayManager
[+0.01s] DEBUG: Registering seat with bus path /org/freedesktop/DisplayManager/Seat0
[+0.02s] DEBUG: Loading users from org.freedesktop.Accounts
[+0.02s] DEBUG: User /org/freedesktop/Accounts/User1001 added
[+0.02s] DEBUG: User /org/freedesktop/Accounts/User1003 added
[+0.03s] DEBUG: User /org/freedesktop/Accounts/User1002 added
[+0.04s] DEBUG: User /org/freedesktop/Accounts/User1000 added
[+1.75s] DEBUG: Got signal 10 from process 28615
[+1.75s] DEBUG: XServer 1: Got signal from X server :1
[+1.75s] DEBUG: XServer 1: Connecting to XServer :1
[+1.75s] CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
[+1.75s] DEBUG: Seat seat0: Display server ready, starting session authentication
[+1.75s] DEBUG: Session pid=28646: Started with service 'lightdm-greeter', username 'root'
[+2.02s] DEBUG: Session pid=28646: Authentication complete with return value 0: Success
[+2.02s] DEBUG: Seat seat0: Session authenticated, running command
[+2.02s] DEBUG: Session pid=28646: Running command /usr/sbin/lightdm-gtk-greeter
[+2.02s] DEBUG: Creating shared data directory /var/lib/lightdm-data/root
[+2.02s] DEBUG: Session pid=28646: Logging to /var/log/lightdm/seat0-greeter.log
[+2.08s] DEBUG: Activating VT 7
[+2.08s] DEBUG: Activating login1 session 547
[+2.27s] DEBUG: Greeter connected version=1.21.0 resettable=false
[+2.55s] DEBUG: Greeter closed communication channel
[+2.55s] DEBUG: Session pid=28646: Exited with return value 139
[+2.55s] DEBUG: Seat seat0: Session stopped
[+2.55s] DEBUG: Seat seat0: Stopping; failed to start a greeter
[+2.55s] DEBUG: Seat seat0: Stopping
[+2.55s] DEBUG: Seat seat0: Stopping display server
[+2.55s] DEBUG: Sending signal 15 to process 28615
[+2.56s] DEBUG: Seat seat0 changes active session to
[+2.73s] DEBUG: Process 28615 exited with return value 0
[+2.73s] DEBUG: XServer 1: X server stopped
[+2.73s] DEBUG: Releasing VT 7
[+2.73s] DEBUG: XServer 1: Removing X server authority /var/run/lightdm/root/:1
[+2.73s] DEBUG: Seat seat0: Display server stopped
[+2.73s] DEBUG: Seat seat0: Stopped
[+2.73s] DEBUG: Required seat has stopped
[+2.73s] DEBUG: Stopping display manager
[+2.73s] DEBUG: Display manager stopped
[+2.73s] DEBUG: Stopping daemon
[+2.74s] DEBUG: Exiting with return value 1

$ sudo cat /var/log/lightdm/seat0-greeter.log
** Message: Starting lightdm-gtk-greeter 2.0.2 (Oct 18 2016, 14:13:55)
** Message: [Configuration] Reading file: /etc/lightdm/lightdm-gtk-greeter.conf

** (lightdm-gtk-greeter:28662): WARNING **: [PIDs] Failed to execute command: /usr/lib/at-spi2-core/at-spi-bus-launcher

** (lightdm-gtk-greeter:28662): WARNING **: [PIDs] Failed to execute command: upstart


$ qlist at-spi | grep at-spi-bus
/usr/libexec/at-spi-bus-launcher


So it looks like it's looking for at-spi2-core in lib/ while we are installing it to libexec/.
Comment 1 Alexander Tsoy 2017-05-14 12:14:46 UTC
I believe that the crash and the warning about at-spi-bus-launcher are separate issues. Warning should be fixed in this PR:
https://github.com/gentoo/gentoo/pull/4627